phing-filters

# Class: XSLTParam Source Location: /filters/XsltFilter.php
### Class Overview
Class that holds an XSLT parameter. | ### Methods getExpression getName getValue setExpression setListeningExpression setName setValue
### Class Details [line 336] Class that holds an XSLT parameter. [ Top ] ### Class Methods ### method getExpression [line 400]
`string getExpression( )`
Returns expression value -- performs lookup if expr is registerslot. #### Tags:
access: | public
[ Top ] ### method getName [line 354]
`string getName( )`
Get param name. #### Tags:
access: | public
[ Top ] ### method getValue [line 375]
`void getValue( string $v)`
Gets expression value (alias to the getExpression()) method. #### Tags:
see: | XSLTParam::getExpression()
access: | public
#### Parameters:
string | $v |
[ Top ] ### method setExpression [line 384]
`void setExpression( string $expr)`
Sets expression value. #### Tags:
access: | public
#### Parameters:
string | $expr |
[ Top ] ### method setListeningExpression [line 392]
`void setListeningExpression( $expr)`
Sets expression to dynamic register slot. #### Tags:
access: | public
#### Parameters:
RegisterSlot | $expr |
[ Top ] ### method setName [line 346]
`void setName( string $name)`
Sets param name. #### Tags:
access: | public
#### Parameters:
string | $name |
[ Top ] ### method setValue [line 364]
`void setValue( string $v)`
Sets expression value (alias to the setExpression()) method. #### Tags:
see: | XSLTParam::setExpression()
access: | public
#### Parameters:
string | $v |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:26 +0200 by phpDocumentor 1.4.3